xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it
Safe Haskell | None

XMonad.Layout.SimpleFloat

Contents

- Usage:

Description

A basic floating layout.

Synopsis

- simpleFloat :: Eq a => ModifiedLayout (Decoration SimpleDecoration DefaultShrinker) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a
- simpleFloat' :: (Eq a, Shrinker s) => s -> Theme -> ModifiedLayout (Decoration SimpleDecoration s) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a
- data SimpleDecoration a = Simple Bool
- data SimpleFloat a = SF Dimension
- shrinkText :: DefaultShrinker
- data CustomShrink = CustomShrink
- class (Read s, Show s) => Shrinker s where
  - shrinkIt :: s -> String -> [String]

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.SimpleFloat

Then edit your `layoutHook` by adding the SimpleFloat layout:

     myLayout = simpleFloat ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simpleFloat :: Eq a => ModifiedLayout (Decoration SimpleDecoration DefaultShrinker) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a

A simple floating layout where every window is placed according to the window's initial attributes.

This version is decorated with the `SimpleDecoration` style.

simpleFloat' :: (Eq a, Shrinker s) => s -> Theme -> ModifiedLayout (Decoration SimpleDecoration s) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a

Same as `simpleFloat`, but with the possibility of setting a custom shrinker and a custom theme.

data SimpleDecoration a

Constructors

Simple Bool |

Instances

Eq a => DecorationStyle SimpleDecoration a |
Read (SimpleDecoration a) |
Show (SimpleDecoration a) |

data SimpleFloat a

Constructors

SF Dimension |

Instances

LayoutClass SimpleFloat Window |
Read (SimpleFloat a) |
Show (SimpleFloat a) |

shrinkText :: DefaultShrinker

data CustomShrink

Constructors

CustomShrink |

Instances

Read CustomShrink |
Show CustomShrink |
Shrinker CustomShrink |

class (Read s, Show s) => Shrinker s where

Methods

shrinkIt :: s -> String -> [String]

Instances

Shrinker DefaultShrinker |
Shrinker CustomShrink |